Subject: Re: bug#26158: Gnome starts unreliably

From: Florian Pelz <[email-masked]>
Date: Tue, 21 Mar 2017 12:45:21 +0100

I believe my unreliable launching of GNOME is unrelated. For me,
/var/log/messages shows output like

Mar 21 11:53:31 localhost vmunix: [   86.999947] .gnome-session-[442]:
segfault at 0 ip 00007f7b3141fce9 sp 00007ffd69b89560 error 4 in
libgtk-3.so.0.2200.6[7f7b3114a000+6ed000]

after a crash which I will investigate further with debug output for
gnome-session at a later time.

On Sun, 2017-03-19 at 17:02 +0100, Ludovic Courtès wrote:
> "pelzflorian (Florian Pelz)" <[email-masked]> skribis:
> 
> > Does
> > 
> > guix package -i xf86-video-intel
> > 
> > or
> > 
> > guix package -i xf86-video-nouveau
> > 
> > help (or whatever else your GPU is from `guix package -s xf86-video-`)?
> 
> Xorg wouldn’t pick up video drivers installed in the user’s profile, so
> this shouldn’t make any difference AIUI.  (See ‘xorg-configuration-file’
> in (gnu services xorg).)
> 

Ah, I did not know. Good to know. Now my manifest is shorter. ;)